%define _name hydrogen
%define beta beta4

Name: lib%_name
Version: 0.8.1
Release: alt0.6%beta

Summary: Shared library for Hydrogen Drum Machine
License: GPL
Group: System/Libraries
Url: http://hydrogen.sourceforge.net/

Source:	http://prdownloads.sourceforge.net/%_name/%name-%version%beta.tar.gz

%define jack_ver 0.90.0
BuildPreReq: jackit-devel >= %jack_ver

# Automatically added by buildreq on Thu Nov 20 2003
BuildRequires: gcc-c++ gcc-g77 hostinfo jackit-devel libalsa-devel libaudiofile-devel libstdc++-devel pkgconfig

%description
Shared library for Hydrogen Drum Machine.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains the header files and documentation
needed to develop applications with %name.

%package devel-static
Summary: Static version of %name 
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains libraries required for packaging
statically linked %name-based software.

%prep
%setup -q -n %name-%version%beta

%build
%if 0
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f --gnu
%__autoconf
%endif

%configure
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %_datadir/%_name
%dir %_datadir/%_name/data
%dir %_datadir/%_name/data/drumkits
%_datadir/%_name/data/drumkits/*
%_datadir/%_name/data/demo_songs
%_datadir/%_name/data/*.h2song
%_datadir/%_name/data/*.wav
%doc AUTHORS README TODO

%files devel
%_includedir/*
%_libdir/*.la
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.6beta4
- 0.8.1beta4.

* Sun May 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Tue Mar 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.6-alt1
- 0.7.6

* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt1
- First build for Sisyphus. 
